<button
  type="button"
  class="cursor-pointer space-x-2 text-red-500 mr-4"
  x-show="form?.errors?.length"
  x-data="{ isOpen: false }"
  @mouseover="isOpen = true"
  @mouseleave="isOpen = false"
>
  <i class="fa-solid fa-circle-exclamation fa-bounce"></i>
  <span>
    <span x-text="form?.errors?.length"></span>
    <span x-text="form?.errors?.length == 1 ? 'Error' : 'Errors'"></span>
  </span>
  <div
    x-show="isOpen"
    x-transition:enter="transition ease-out duration-300"
    x-transition:enter-start="opacity-0 transform scale-95"
    x-transition:enter-end="opacity-100 transform scale-100"
    x-transition:leave="transition ease-in duration-200"
    x-transition:leave-start="opacity-100 transform scale-100"
    x-transition:leave-end="opacity-0 transform scale-95"
    class="popover absolute bg-white-500 border shadow-md mt-2 px-4 py-2 rounded-lg"
  >
    <template x-for="error in form?.errors">
      <div class="text-red-500 space-x-2">
        <i class="fa-solid fa-xmark"></i>
        <span x-text="error?.message"></span>
      </div>
    </template>
  </div>
</button>

<button
  type="reset"
  class="cursor-pointer space-x-2 btn btn-outline-primary border-none"
  x-init="message = 'Are you sure? All changes will be lost!'"
  x-show="!form?.loading"
  @click="confirm(message) && form.generateForm(container, schema, uischema, data)"
>
  <i class="fa-solid fa-clock-rotate-left"></i>
  <span>Reset</span>
</button>

<button
  type="button"
  x-show="load?.task"
  x-bind:disabled="form?.loading"
  class="cursor-pointer space-x-2 btn btn-outline-primary disabled:opacity-25 disabled:cursor-not-allowed"
  @click="form.reload(load)"
>
  <i class="fa-solid fa-arrows-rotate"></i>
  <span>Refresh</span>
</button>

<button
  type="submit"
  class="cursor-pointer space-x-2 btn btn-primary disabled:opacity-25 disabled:cursor-not-allowed"
  x-bind:disabled="form?.loading || !form.isValid()"
>
  <i class="fa-solid fa-play"></i>
  <span>Start Workflow</span>
</button>
